function [Tkon Qzac] = hranice_2(vyrez);

vyrez = vyrez-mean(vyrez); %----korekce izoelektricke linie
[QRShod QRSpo] = max(vyrez);

global konst;
[m i] = max(vyrez);
[o1] = max(vyrez(i+100:end-round(100/konst)));  
[o2] = min(vyrez(i+100:end-round(100/konst)));

% korek = vyrez;

if (abs(o2))>(abs(o1))  %-------osetreni zaporne T vlny
    vyrez(i+100:end-round(100/konst))=vyrez(i+100:end-round(100/konst)).*-1;
end


%%
% %---------zacatek vlny Q-----------------
% 
vyrez_Q= vyrez(QRSpo-round(120/konst):QRSpo); 
% figure(11);plot(vyrez_Q);hold on;

[Qhod Qpoz]= min(vyrez_Q); % mozna zmensit velikost okna
%  plot(Qpoz,Qhod,'rx');hold on;

kousek=vyrez((Qpoz-round(40/konst)):(Qpoz));

osa=linspace(1,length(kousek),length(kousek));
cara=zeros(1,length(osa));
cara=cara';

for j=1:1:length(osa)
    Y = bod(kousek(1),kousek(length(osa)),osa(1),osa(length(osa)),osa(j));
    cara(j)=Y;
end

% hold on;
% plot(osa,cara)

rozdil=abs(kousek'-cara);
[bb cc]=max(rozdil);

% plot(cc,bb,'rx');

osa=osa+Qpoz-round(40/konst);

Qzac = cc+Qpoz-round(40/konst)+QRSpo-round(120/konst);

% Qzac = cc+Qpoz-round(40/konst)+QRSpo-round(100/konst);

clear kousek;






%%



%---------konec vlny T----------------
vyrez_T = vyrez(QRSpo+round(100/konst):QRSpo+round(500/konst));  
vyrez_T_pomoc = vyrez(QRSpo+round(100/konst):QRSpo+round(400/konst));  

% figure(789);
% subplot(3,1,1);plot(vyrez_T);hold on;

[Thod Tpoz] = max(vyrez_T_pomoc);
vyrez_der = diff(vyrez_T_pomoc(Tpoz:end));
% subplot(3,1,2);
% plot(vyrez_der);hold on;


[INFLhod INFLpoz] = min(vyrez_der);
INFLpoz = INFLpoz + Tpoz;

Tkon_pomoc= INFLpoz+round(100/konst);

%%
kousek=vyrez_T(Tpoz:Tkon_pomoc);
osa=linspace(1,length(kousek),length(kousek));
cara=zeros(1,length(osa));
cara=cara';

for j=1:1:length(osa)
    Y = bod(kousek(1),kousek(length(osa)),osa(1),osa(length(osa)),osa(j));
    cara(j)=Y;
end
rozdil=abs(kousek'-cara);[bb cc]=max(rozdil);
Tkon=cc+Tpoz+QRSpo+round(100/konst);
end













